#ifndef GPGOLGUI_H
#define GPGOLGUI_H
/* Copyright (C) 2018 by Intevation GmbH <info@intevation.de>
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */

#include <KPageDialog>
#include <QString>

class QCommandLineParser;

class GpgOLGUI: public KPageDialog
{
    Q_OBJECT

public:
    GpgOLGUI(const QCommandLineParser &parser);

protected:
    /** @brief UI setup */
    void setupGUI();

private:
    bool mCryptoConfigChanged;
    QString mVersion;
};
#endif // GPGOLGUI_H
